<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">76</item> <!-- min brite -->
  <item name="bluetooth.active">89.7</item>
  <item name="bluetooth.on">1.1</item>
  <item name="bluetooth.at">1.1</item> <!-- TBD -->
  <item name="screen.full">312</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.78</item>
  <item name="wifi.active">343</item>
  <item name="wifi.scan">104</item>
  <item name="dsp.audio">35</item>
  <item name="dsp.video">240</item>
  <item name="radio.active">190</item>
  <item name="gps.on">24</item>
  <item name="battery.capacity">6000</item> <!-- 6000mAh -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>13.0</value>
    <value>10.0</value>
    <value>10.0</value>
    <value>10.0</value>
    <value>10.0</value>
  </array>
  <array name="cpu.clusters.cores">
    <value>4</value> <!-- cluster 0 has cpu0, cpu1, cpu2, cpu3-->
    <value>4</value> <!-- cluster 1 has cpu4, cpu5, cpu6, cpu7 -->
  </array>
  <array name="cpu.core_speeds.cluster0">
	<value>2301000</value>
	<value>2215000</value>
	<value>2139000</value>
	<value>2074000</value>
	<value>2009000</value>
	<value>1944000</value>
	<value>1879000</value>
	<value>1814000</value>
	<value>1750000</value>
	<value>1617000</value>
	<value>1484000</value>
	<value>1351000</value>
	<value>1218000</value>
	<value>1085000</value>
	<value>979000</value>
	<value>900000</value>
  </array>
  <array name="cpu.core_speeds.cluster1">
	<value>1800000 </value>
	<value>1682000</value>
	<value>1579000</value>
	<value>1491000</value>
	<value>1402000</value>
	<value>1314000</value>
	<value>1226000</value>
	<value>1138000</value>
	<value>1050000</value>
	<value>948000</value>
	<value>846000</value>
	<value>745000</value>
	<value>643000</value>
	<value>542000</value>
	<value>501000</value>
	<value>400000</value>
  </array>
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">4</item>
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">31</item>
  <!-- Power consumption at different speeds -->
  <array name="cpu.core_power.cluster0">
	<value>930</value>
	<value>845</value>
	<value>786</value>
	<value>712</value>
	<value>668</value>
	<value>608</value>
	<value>550</value>
	<value>496</value>
	<value>442</value>
	<value>400</value>
	<value>328</value>
	<value>286</value>
	<value>230</value>
	<value>182</value>
	<value>164</value>
	<value>140</value>
  </array>
  <array name="cpu.core_power.cluster1">
	<value>202</value>
	<value>178</value>
	<value>152</value>
	<value>134</value>
	<value>118</value>
	<value>102</value>
	<value>88</value>
	<value>76</value>
	<value>65</value>
	<value>58</value>
	<value>48</value>
	<value>42</value>
	<value>38</value>
	<value>34</value>
	<value>30</value>
	<value>26</value>
  </array>
</device>
